using System;
using Server;

namespace Server.Items
{
	public class StarLegs : Platelegs
	{
		public override int ArtifactRarity{ get{ return 69; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public StarLegs()
		{
			Weight = 2.5; 
            		Name = "Armor of the Star Defender"; 
            		Hue = 1154;

			Attributes.BonusMana = 10;
			Attributes.CastRecovery = 3;
			Attributes.SpellDamage = 5;
			Attributes.WeaponSpeed = 5;

			ArmorAttributes.MageArmor = 1;

			ColdBonus = 5;
			EnergyBonus = 5;
			FireBonus = 10;
			PhysicalBonus = 10;
			PoisonBonus = 5;

			LootType = LootType.Blessed;

		}

		public StarLegs( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}